Summary: A program which manages RPC connections.
Name: portmap
Version: 4.0
Release: 18
Group: System Environment/Daemons
Copyright: BSD
Source0: ftp://coast.cs.purdue.edu/pub/tools/unix/portmap/portmap_4.tar.gz
Source1: portmap.init
Source2: pmap_set.8
Source3: pmap_dump.8
Source4: portmap.8
Patch0: portmap-4.0-linux.patch
Patch1: portmap-malloc.patch
BuildRoot: /var/tmp/portmap-root
Prereq: /sbin/chkconfig

%description
The portmapper program is a security tool which prevents theft of NIS
(YP), NFS and other sensitive information via the portmapper.  A
portmapper manages RPC connections, which are used by protocols like
NFS and NIS.

The portmap package should be installed on any machine which acts as a
server for protocols using RPC.

%prep 
%setup -q -n portmap_4
%patch0 -p1
%patch1 -p1

%build
make FACILITY=LOG_AUTH ZOMBIES='-DIGNORE_SIGCHLD -Dlint' LIBS="-lnsl" RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m 755 -s portmap $RPM_BUILD_ROOT/sbin
install -m 755 -s pmap_set $RPM_BUILD_ROOT/usr/sbin
install -m 755 -s pmap_dump $RPM_BUILD_ROOT/usr/sbin
install -m 755 $RPM_SOURCE_DIR/portmap.init $RPM_BUILD_ROOT/etc/rc.d/init.d/portmap

mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m 644 $RPM_SOURCE_DIR/pmap_set.8 $RPM_BUILD_ROOT/usr/man/man8
install -m 644 $RPM_SOURCE_DIR/pmap_dump.8 $RPM_BUILD_ROOT/usr/man/man8
install -m 644 $RPM_SOURCE_DIR/portmap.8 $RPM_BUILD_ROOT/usr/man/man8

# let chkconfig deal with runlevel 4
for I in 0 1 2 6; do
	mkdir $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -sf ../init.d/portmap $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K89portmap
done
for I in 3 5; do
	mkdir $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -sf ../init.d/portmap $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S11portmap
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add portmap

%triggerpostun -- portmap <= portmap-4.0-9
/sbin/chkconfig --add portmap

%preun
if [ $1 = 0 ] ; then
  /sbin/chkconfig --del portmap
fi

%files
%defattr(-,root,root)
%doc README CHANGES BLURB

/sbin/portmap
/usr/sbin/pmap_dump
/usr/sbin/pmap_set

/usr/man/man8/*

%config /etc/rc.d/init.d/portmap
%config(missingok) /etc/rc.d/rc0.d/K89portmap
%config(missingok) /etc/rc.d/rc1.d/K89portmap
%config(missingok) /etc/rc.d/rc2.d/K89portmap
%config(missingok) /etc/rc.d/rc3.d/S11portmap
%config(missingok) /etc/rc.d/rc5.d/S11portmap
%config(missingok) /etc/rc.d/rc6.d/K89portmap

%changelog
* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- add patch to fix some malloc issues from HP

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- added man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- start/stop portmap at levels 11/89

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- fixed the trigger script

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added %trigger to fix a previously broken package

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscripts

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- rebuilt against glibc 2.0.6

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed service name in stop section of init script

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- fixed chkconfig support

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added restart, status commands to init script
- added chkconfig support
- uses a buildroot and %attr tags

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
